cancel_pending_payment
准备取消某个产品线未完成的稳定币付款、Scale 已排期的额度变更,或 Ultra Speed 未完成的结账。在 confirm_action 用发到对方邮箱的验证码执行之前,不会有任何变化。confirm 级:调用只会暂存并返回这项变更。request_confirmation_code 向对方邮箱发送验证码,对方读出验证码后,confirm_action 才会执行变更。同名 MCP 工具需要 tweetstream:billing 权限范围。
POST
/api/agent/actions/cancel_pending_payment授权
Authorizationstringheader必填使用 TweetStream API 密钥进行 Bearer 认证:Bearer <key>。
请求体
familyenum<string>必填targetenum<string>必填open_payment: the family's open stablecoin payment request. scale_limit_change: Scale's scheduled limit change. open_checkout: Ultra Speed's open checkout.
响应字段
nextobject必填actionenum<string>必填messagestring必填namestring必填whoenum<string>必填
pendingActionobject必填actionstring必填expiresAtstring必填a string to be decoded into a Dateidstring必填quoteobject必填amountDueCentsinteger必填an integereffectiveAtstring必填a string to be decoded into a Daterenewalobject必填amountCentsinteger必填an integeratstring必填a string to be decoded into a DatetermMonthsinteger必填an integer
saveOfferobject必填descriptionstring必填offerobject必填
summarystring必填
statusenum<string>必填
响应
- 200成功
- 400输入不符合该操作的 schema(INVALID_REQUEST)
- 401API key 缺失或无效
- 403请求带有外部 Origin
- 409没有需要变更的内容,或不提供该变更(ACTION_REFUSED,附带 reason)
- 429已达到速率限制(RATE_LIMITED),请在 retryAfterSeconds 秒后重试
- 503暂时不可用,请稍后重试